﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sample
{
    public partial class SetPropertyForm : Form
    {
        public SetPropertyForm()
        {
            InitializeComponent();
        }

        private void SetPropertyForm_Load(object sender, EventArgs e)
        {
            // 設定表示
            nudSymbolCount.Value = MainForm.symbolCount;
            cmbEffectLevel.SelectedIndex = MainForm.effectLevel;
            nudBorder.Value = MainForm.border;
            nudModuleSize.Value = MainForm.moduleSize;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            // 設定保存
            MainForm.symbolCount = (int)nudSymbolCount.Value;
            MainForm.effectLevel = cmbEffectLevel.SelectedIndex;
            MainForm.border = (byte)nudBorder.Value;
            MainForm.moduleSize = (byte)nudModuleSize.Value;

            // DLLファンクションコール
            PsyQrDcd.SetDecodeSymbolCount(MainForm.symbolCount);
            PsyQrDcd.SetDecodeEffectLevel(MainForm.effectLevel);
            PsyQrDcd.SetBrightnessBorder(MainForm.border);
            PsyQrDcd.SetMinimumModuleSize(MainForm.moduleSize);

            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
